/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.eismocker.datastore;

import commonj.sdo.DataObject;

public class DataItem {
	static String copyright() {
		 return com.ibm.eismocker.rmidriver.Copyright.IBM_COPYRIGHT_SHORT;
	}
	private DataObject sdoObj=null;
	private String operation=null;

	public DataItem(DataObject sdo,String op){
		this.sdoObj = sdo;
		this.operation = op;
	}
	public String getOperation(){
		return this.operation;
	}
	public DataObject getDataObject(){
		return this.sdoObj;
	}
	public String toString() {	
		String strRt="";
		if(sdoObj!=null){
			strRt = sdoObj.getType().getName()+"."+this.operation;
		}
		return strRt;
		
	}
}
