/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.j2ca.vta;

import javax.resource.ResourceException;
import javax.resource.cci.Interaction;

import com.ibm.j2ca.base.WBIConnection;
import com.ibm.j2ca.base.WBIManagedConnection;

public class VTAConnection extends WBIConnection {
	static String copyright() {
		 return com.ibm.j2ca.vta.common.Copyright.IBM_COPYRIGHT_SHORT;
	}

	public VTAConnection(WBIManagedConnection arg0) throws ResourceException {
		super(arg0);
	}

	public Interaction createInteraction() throws ResourceException {
		return new VTAInteraction(this);
	}

}
