/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.j2ca.vta;

import javax.resource.ResourceException;
import javax.resource.cci.ResourceAdapterMetaData;
import javax.resource.spi.ConnectionManager;

import com.ibm.j2ca.base.WBIConnectionFactory;
import com.ibm.j2ca.base.WBIManagedConnectionFactory;
import com.ibm.j2ca.base.WBIResourceAdapterMetadata;

public class VTAConnectionFactory extends WBIConnectionFactory {
	static String copyright() {
		 return com.ibm.j2ca.vta.common.Copyright.IBM_COPYRIGHT_SHORT;
	}

	private static final long serialVersionUID = -3208055714558394950L;
	WBIResourceAdapterMetadata metadata = null;

	public VTAConnectionFactory(ConnectionManager arg0, WBIManagedConnectionFactory arg1) {
		super(arg0, arg1);
	}

	public ResourceAdapterMetaData getMetaData() throws ResourceException {
		if (metadata != null)
			return metadata;
		else
			metadata = new WBIResourceAdapterMetadata("IBM WebSphere Adapter for Visual Test", "IBM", "6.1", false);
		return metadata;
	}

}
