/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.j2ca.vta.commands;

import javax.resource.ResourceException;

import com.ibm.j2ca.extension.commandpattern.CommandFactoryForCursor;
import com.ibm.j2ca.extension.commandpattern.CommandForCursor;

public class VTACommandFactory implements CommandFactoryForCursor {
	static String copyright() {
		 return com.ibm.j2ca.vta.common.Copyright.IBM_COPYRIGHT_SHORT;
	}

	public CommandForCursor createCommand(String nodeLevelOperation)
			throws ResourceException {
		return new VTABaseCommand(nodeLevelOperation);
	}

	public boolean isOOType() {
		//CR91964 - return false instead of true.
		//return true;
		return false;
	}

}
