/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.eismocker.datastore;

import com.ibm.eismocker.rmidriver.EisEvent;

import commonj.sdo.DataObject;

public class EventDataItem extends DataItem {
	static String copyright() {
		 return com.ibm.eismocker.rmidriver.Copyright.IBM_COPYRIGHT_SHORT;
	}
	private static int currentEventId = 1;
	private EisEvent eisEvent = null;

	public EventDataItem(DataObject sdo, String op) {
		super(sdo, op);
		String typeName = sdo.getType().getName();
		String eventId = (currentEventId++)+"";
		eisEvent = new EisEvent(eventId, typeName, op);
	}
	
	public EisEvent getEisEvent(){
		return this.eisEvent;
	}

}
