/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.eismocker.ui;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;

import com.ibm.eismocker.main.EisMockerConstaints;

public class BOActionListener implements SelectionListener{
	static String copyright() {
		 return com.ibm.eismocker.rmidriver.Copyright.IBM_COPYRIGHT_SHORT;
	}
	private int actionType = -1;
	private EisMockerShell eisShell;
	
	public BOActionListener(int action,EisMockerShell shell) {
		actionType = action;
		eisShell = shell;
	}
	
	public void widgetDefaultSelected(SelectionEvent arg0) {
	}

	public void widgetSelected(SelectionEvent arg0) {
		switch (actionType) {
		case EisMockerConstaints.ACTION_NEW:
			eisShell.actionNewBO();
			break;
		case EisMockerConstaints.ACTION_SAVE:
			eisShell.actionSaveBO();
			break;
		case EisMockerConstaints.ACTION_EXIT:
			eisShell.actionFileExit();
			break;
		case EisMockerConstaints.ACTION_LOAD:
			eisShell.actionLoadBO();
			break;
		case EisMockerConstaints.ACTION_REMOVE:
			eisShell.actioinRemoveBO();
			break;
		case EisMockerConstaints.ACTION_CLEAR:
			eisShell.actionClearList();
			break;
		case EisMockerConstaints.ACTION_SEND:
			eisShell.actionSendBO();
			break;
		case EisMockerConstaints.ACTION_BATCH_SEND:
			eisShell.actionSendBOInBatch();
			break;
		case EisMockerConstaints.ACTION_REPLY:
			eisShell.actionReplyBO();
			break;
		case EisMockerConstaints.ACTION_ABOUT:
			//eisShell.actionHelpAbout();
			break;
		default:	
		}
	}
}
