/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.eismocker.ui.batch;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;

import com.ibm.eismocker.main.EisMockerConstaints;

public class BatchSendSelectionListener implements SelectionListener {
	static String copyright() {
		return com.ibm.eismocker.rmidriver.Copyright.IBM_COPYRIGHT_SHORT;
	}

	private BatchSendBOShell shell;
	private int actionType;
	
	BatchSendSelectionListener(BatchSendBOShell shell,int action){
		this.shell = shell;
		actionType = action;
	}
	
	public void widgetDefaultSelected(SelectionEvent arg0) {
	}

	public void widgetSelected(SelectionEvent arg0) {
		switch(this.actionType){
		case EisMockerConstaints.BATCH_ACTION_SEND:
			shell.actionSend();
			break;
		case EisMockerConstaints.BATCH_ACTION_CANCEL:
			shell.actionCancel();
			break;
		default:
			
		}

	}

}
