/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.j2ca.vta;

import javax.resource.ResourceException;

import com.ibm.j2ca.extension.commandpattern.BaseCommand;
import com.ibm.j2ca.extension.commandpattern.Interpreter;
import com.ibm.j2ca.extension.logging.LogUtils;

public class VTAInterpreter extends Interpreter {
	static String copyright() {
		 return com.ibm.j2ca.vta.common.Copyright.IBM_COPYRIGHT_SHORT;
	}

	public VTAInterpreter(LogUtils logUtils) {
		super(logUtils);
	}
	public void execute(BaseCommand topLvlCmd) throws ResourceException {
		topLvlCmd.execute();
	}

}
