/*
 * IBM Confidential
 * OCO Source Materials
 * --------------
 *  Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.j2ca.vta.emd.discovery;

import java.net.URI;

import com.ibm.j2ca.extension.emd.discovery.properties.WBIPropertyGroupImpl;
import commonj.connector.metadata.MetadataException;
import commonj.connector.metadata.discovery.AdapterConfiguration;
import commonj.connector.metadata.discovery.properties.PropertyGroup;

public class VTAAdapterConfiguration implements AdapterConfiguration{
	static String copyright() {
		 return com.ibm.j2ca.vta.common.Copyright.IBM_COPYRIGHT_SHORT;
	}

	java.io.File connectivity = null;
	java.io.File component = null;
	
	public VTAAdapterConfiguration() throws MetadataException {
		//VTAMetadataDiscovery discovery = new VTAMetadataDiscovery();
	}
	public void applyAdapterEnvironmentProperties(PropertyGroup configurationValues) throws MetadataException {
	}

	public PropertyGroup createAdapterEnvironmentProperties() {
		
		WBIPropertyGroupImpl dependencies = null;
		try {
		} catch (Exception e) {
			throw new RuntimeException("Failure in building PG", e);
		}
		return dependencies;	
	}

	public URI[] getApplicationEntries() {
		URI[] uri = new URI[2];
		try {
			uri[0] = connectivity.toURI();
			uri[1] = component.toURI(); 
		} catch (Exception e) {
			return null;
		}
		return uri;	
	}

	public URI[] getSystemEntries() {
		return null;
	}

	public void setApplicationEntries(URI[] uris) throws MetadataException {
		System.out.println("here");
	}

	public void setSystemEntries(URI[] uris) throws MetadataException {
	}

}
